commit:     fa98c2e129e32e20c06239510f3ff9d65a45a458
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 18 10:45:28 2016 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Sep 18 11:01:36 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa98c2e1

dev-libs/libunique: Bump eapi, fix introspection dependencies, stop rebuilding 
gtk-docs

Package-Manager: portage-2.3.0

 dev-libs/libunique/libunique-3.0.2-r1.ebuild | 46 ++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git a/dev-libs/libunique/libunique-3.0.2-r1.ebuild 
b/dev-libs/libunique/libunique-3.0.2-r1.ebuild
new file mode 100644
index 00000000..2f000ed
--- /dev/null
+++ b/dev-libs/libunique/libunique-3.0.2-r1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+
+inherit gnome2 virtualx
+
+DESCRIPTION="A library for writing single instance application"
+HOMEPAGE="https://wiki.gnome.org/Attic/LibUnique";
+
+LICENSE="LGPL-2.1"
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 
~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~x86-solaris"
+IUSE="debug +introspection"
+
+RDEPEND="
+       >=dev-libs/glib-2.25.7:2
+       sys-apps/dbus[X]
+       >=x11-libs/gtk+-2.90.0:3[introspection?]
+       x11-libs/libX11
+       introspection? ( >=dev-libs/gobject-introspection-0.9.0:= )
+"
+DEPEND="${RDEPEND}
+       >=dev-util/gtk-doc-am-1.11
+       virtual/pkgconfig
+"
+# For eautoreconf
+#      dev-util/gtk-doc-am
+
+src_configure() {
+       # --disable-dbus means gdbus is used instead of dbus-glib
+       gnome2_src_configure \
+               --disable-static \
+               --disable-maintainer-flags \
+               --disable-dbus \
+               $(usex debug --enable-debug=yes ' ') \
+               $(use_enable introspection)
+}
+
+src_test() {
+       cd "${S}/tests"
+       cp "${FILESDIR}/run-tests" . || die "Unable to cp 
\${FILESDIR}/run-tests"
+       virtx emake -f run-tests || die "Tests failed"
+}

Reply via email to